Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.remoting
Class MetaDataConstants

    java.lang.Object
      org.jboss.jms.server.remoting.MetaDataConstants

public class MetaDataConstants
extends java.lang.Object

Constants for passing stuff in aop meta-data

Version:
  `$Revision 1.1 $` $Id: MetaDataConstants.java,v 1.11 2006/04/20 20:42:26 timfox Exp $
Author:
  Tim Fox

Field Summary
`static java.lang.String` | `CALLBACK_HANDLER`
`static java.lang.String` | `CLIENT_CONNECTION_ID`
`static java.lang.String` | `CONSUMER_ID`
`static java.lang.String` | `JMS`
`static java.lang.String` | `JMS_CLIENT_VM_ID`
`static java.lang.String` | `REMOTING_SESSION_ID`
`static java.lang.String` | `VERSION_NUMBER`

Constructor Summary
`MetaDataConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMS

    public static final java.lang.String JMS

See Also:
  Constant Field Values

### REMOTING_SESSION_ID

    public static final java.lang.String REMOTING_SESSION_ID

See Also:
  Constant Field Values

### CALLBACK_HANDLER

    public static final java.lang.String CALLBACK_HANDLER

See Also:
  Constant Field Values

### CONSUMER_ID

    public static final java.lang.String CONSUMER_ID

See Also:
  Constant Field Values

### CLIENT_CONNECTION_ID

    public static final java.lang.String CLIENT_CONNECTION_ID

See Also:
  Constant Field Values

### VERSION_NUMBER

    public static final java.lang.String VERSION_NUMBER

See Also:
  Constant Field Values

### JMS_CLIENT_VM_ID

    public static final java.lang.String JMS_CLIENT_VM_ID

See Also:
  Constant Field Values

Constructor Detail

### MetaDataConstants

    public MetaDataConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.